# H225_CallCreditServiceControl Class Reference

`#include <h225.h>`

Inheritance diagram for H225_CallCreditServiceControl:

List of all members.

## Public Types

enum | OptionalFields { e_amountString, e_billingMode, e_callDurationLimit, e_enforceCallDurationLimit, e_callStartingPoint }

## Public Member Functions

| H225_CallCreditServiceControl (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_BMPString | m_amountString
H225_CallCreditServiceControl_billingMode | m_billingMode
PASN_Integer | m_callDurationLimit
PASN_Boolean | m_enforceCallDurationLimit
H225_CallCreditServiceControl_callStartingPoint | m_callStartingPoint

## Member Enumeration Documentation

enum H225_CallCreditServiceControl::OptionalFields

Enumerator:

  e_amountString |
  e_billingMode |
  e_callDurationLimit |
  e_enforceCallDurationLimit |
  e_callStartingPoint |

## Constructor & Destructor Documentation

H225_CallCreditServiceControl::H225_CallCreditServiceControl | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_CallCreditServiceControl::GetDataLength | ( |  | ) | const

PBoolean H225_CallCreditServiceControl::Decode | ( | PASN_Stream & | strm | ) |

void H225_CallCreditServiceControl::Encode | ( | PASN_Stream & | strm | ) | const

void H225_CallCreditServiceControl::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_CallCreditServiceControl::Compare | ( | const PObject & | obj | ) | const

PObject* H225_CallCreditServiceControl::Clone | ( |  | ) | const

## Member Data Documentation

PASN_BMPString H225_CallCreditServiceControl::m_amountString

H225_CallCreditServiceControl_billingMode H225_CallCreditServiceControl::m_billingMode

PASN_Integer H225_CallCreditServiceControl::m_callDurationLimit

PASN_Boolean H225_CallCreditServiceControl::m_enforceCallDurationLimit

H225_CallCreditServiceControl_callStartingPoint H225_CallCreditServiceControl::m_callStartingPoint

The documentation for this class was generated from the following file:

- h225.h